#!/usr/bin/env node
"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
const minimist = require("minimist");
const deploy_1 = require("./commands/deploy");
const util_1 = require("./internal/util");
const argv = minimist(process.argv.slice(2));
const token = (_a = process.env.TOKEN) !== null && _a !== void 0 ? _a : '';
const [commandType, projectAndPage, sourceFilePath] = argv._;
if (!util_1.isAllowedCommandType(commandType)) {
    throw new Error(`InvalidArgumentError: command ${commandType} is not supported`);
}
const [project, page] = projectAndPage.split('/');
// NOTE: 'deploy' is only supported
deploy_1.deploy({ token, project, page, sourceFilePath })
    .then(() => {
    console.log('completed');
    process.exit(0);
})
    .catch((error) => {
    console.error('errored', error);
    process.exit(1);
});
//# sourceMappingURL=bin.js.map