"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadSourceCode = void 0;
const fs = require("fs");
const loadFile = (path) => new Promise((resolve, reject) => fs.readFile(path, 'utf8', (err, data) => {
    if (err) {
        reject(err);
    }
    resolve(data);
}));
const getJSTString = () => new Date().toLocaleString('ja-JP', { timeZone: 'Asia/Tokyo' });
const versionComment = `/* deployed at: ${getJSTString()} */`;
// first space is needed for scrapbox code block
const loadSourceCode = async (file) => ` ${versionComment}${await loadFile(file)}`;
exports.loadSourceCode = loadSourceCode;
//# sourceMappingURL=file-loaders.js.map