"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findNextLineIdOrFail = void 0;
const findIndex = (searchString, lines) => {
    return lines.findIndex((line) => line.text.includes(searchString));
};
const findNextLineIdOrFail = (searchString, lines) => {
    const index = findIndex(searchString, lines);
    if (index === -1) {
        throw new Error('Line not found');
    }
    const nextLineOrNone = lines[index + 1];
    if (!nextLineOrNone) {
        throw new Error('Next line not found');
    }
    return nextLineOrNone.id;
};
exports.findNextLineIdOrFail = findNextLineIdOrFail;
//# sourceMappingURL=find.js.map