"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Router = void 0;
const operators_1 = require("rxjs/operators");
const patch_window_history_api_and_get_event_stream_1 = require("./internal/patch-window-history-api-and-get-event-stream");
const predicate_1 = require("./internal/predicate");
class Router {
    constructor(options = {}) {
        this.options = options;
        this.stream = patch_window_history_api_and_get_event_stream_1.patchWindowHistoryApiAndGetEventStream();
        if (options.debug) {
            this.enableDebugLog();
        }
    }
    get events() {
        return this.stream.asObservable();
    }
    get urlChange() {
        return this.stream.asObservable().pipe(operators_1.distinctUntilChanged(predicate_1.isSameUrl));
    }
    enableDebugLog() {
        this.events.subscribe((ev) => console.log('[st/router] events: ', ev));
        this.urlChange.subscribe((ev) => console.log('[st/router] urlChange: ', ev));
    }
}
exports.Router = Router;
//# sourceMappingURL=router.js.map