"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateId = exports.isIdString = void 0;
// copied from official index.js
const isIdString = (v) => {
    return /^[a-f\d]{24,32}$/.test(v);
};
exports.isIdString = isIdString;
// modified original toString16 of official index.js
const toString16 = (userIdOrNumber, length) => {
    const hexOrId = userIdOrNumber.toString(16);
    return hexOrId.length > length ? hexOrId.slice(hexOrId.length - length) : '0'.repeat(length - hexOrId.length) + hexOrId;
};
const map = new Map();
const getIdGenerator = (userId) => {
    if (map.has(userId)) {
        return map.get(userId);
    }
    let counter = Math.floor(16777215 * Math.random());
    const generate = () => {
        const t = Math.floor(Date.now() / 1e3);
        if ((counter += 1) > 16777215) {
            counter = 0;
        }
        return (toString16(t, 8) + toString16(userId, 6) + toString16(0, 4) + toString16(counter, 6));
    };
    map.set(userId, generate);
    return generate;
};
const generateId = (userId) => {
    const generator = getIdGenerator(userId);
    return generator();
};
exports.generateId = generateId;
//# sourceMappingURL=id.js.map