"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultHttpClient = exports.fetch = void 0;
const env_1 = require("../common/env");
// NOTE: use bind(window) to avoid `TypeError: Illegal invocation`
exports.fetch = env_1.isBrowser() ? globalThis.fetch.bind(window) : require('node-fetch');
class DefaultHttpClient {
    constructor(fetchFn = exports.fetch) {
        this.fetchFn = fetchFn;
    }
    async get(url, options = {}) {
        const result = await this.fetchFn(url, options);
        return (await result.json());
    }
}
exports.DefaultHttpClient = DefaultHttpClient;
//# sourceMappingURL=http-client.js.map