import { HttpClient } from './http-client';
import { Me, Page, Project } from './types';
export declare const isObject: (data: unknown) => data is Record<string, unknown>;
export declare const isNotLoggedInError: (data: unknown) => boolean;
export declare class RestApiClient {
    private readonly token?;
    private readonly httpClient;
    constructor(token?: string | undefined, httpClient?: HttpClient);
    getPage(projectName: string, pageName: string): Promise<Page>;
    getProject(projectName: string): Promise<Project>;
    getMe(): Promise<Me>;
    private request;
}
