"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createChanges = void 0;
const common_1 = require("../../common");
// NOTE: userId is used to generate new ID
const createChanges = (params, userId) => params.map((param) => {
    switch (param.type) {
        case 'insert': {
            return { _insert: param.position || '_end', lines: { id: common_1.generateId(userId), text: param.text } };
        }
        case 'update': {
            return { _update: param.id, lines: { text: param.text } };
        }
        case 'delete': {
            return { _delete: param.id, lines: -1 };
        }
        case 'title': {
            return { title: param.title };
        }
        case 'description': {
            return { descriptions: [param.text] };
        }
        default: {
            throw new Error('Bad implement');
        }
    }
});
exports.createChanges = createChanges;
//# sourceMappingURL=request.js.map