import { ParsedMessage } from './internal/message';
import { ChangeRequestCreateParams } from './internal/request';
import { getWebSocket } from './internal/websocket';
export declare class WebsocketClient {
    private readonly config;
    private socket;
    private open$;
    private error$;
    private close$;
    private message$;
    private room;
    private sid;
    constructor(config?: {
        token?: string;
        websocketConstructor?: typeof getWebSocket;
        responseTimeout?: number;
    });
    commit(params: {
        projectId: string;
        userId: string;
        pageId: string;
        parentId: string;
        changes: ChangeRequestCreateParams[];
    }): Promise<ParsedMessage>;
    join(params: {
        projectId: string;
        pageId: string;
    }): Promise<ParsedMessage>;
    private initialize;
    private send;
    private openWebSocket;
    private registerInitializationOnOpen;
    private registerReconnectionOnClose;
}
