"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Router = void 0;
const rxjs_1 = require("rxjs");
const operators_1 = require("rxjs/operators");
const observable_1 = require("./internal/observable");
class Router {
    constructor() {
        this.event$ = observable_1.getHistoryEventObservable().pipe(operators_1.share());
    }
    get url() {
        return rxjs_1.concat(rxjs_1.of(window.location.href), this.event$).pipe(operators_1.distinctUntilChanged());
    }
    get urlChange() {
        return this.event$.pipe(operators_1.distinctUntilChanged());
    }
}
exports.Router = Router;
//# sourceMappingURL=router.js.map