import { packetTypes } from '../constants';
import { SendResponse } from './response';
export declare const toSocketIoMessagePayload: (id: string, data: unknown) => string;
export declare type ParsedMessage = [PacketType: string, Data: unknown];
export declare type InitializedMessage = [
    PacketType: typeof packetTypes.initialize,
    Data: {
        sid: string;
        upgrades: [];
        pingInterval: number;
        pingTimeout: number;
    }
];
export declare type ResponseMessage = [PacketType: `43${string}`, Data: SendResponse];
export declare const parseMessage: (message: string) => ParsedMessage;
export declare const isConnectionMessage: (message: ParsedMessage) => message is InitializedMessage;
export declare const isResponseMessage: (message: ParsedMessage) => message is ResponseMessage;
export declare const getRequestId: (packetType: string) => string;
export declare const isResponseMessageOf: (sid: string) => (message: ParsedMessage) => boolean;
