"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isResponseMessageOf = exports.getRequestId = exports.isResponseMessage = exports.isConnectionMessage = exports.parseMessage = exports.toSocketIoMessagePayload = void 0;
const constants_1 = require("../constants");
const util_1 = require("./util");
const toSocketIoMessagePayload = (id, data) => {
    return `${constants_1.packetTypes.send}${id}${JSON.stringify(['socket.io-request', data])}`;
};
exports.toSocketIoMessagePayload = toSocketIoMessagePayload;
// 430[{...}}] => 430, [{}]
// @see https://github.com/socketio/engine.io-protocol
const parseMessage = (message) => {
    let packetType = '';
    while (message.length) {
        const head = message[0];
        if (util_1.isIntegerString(head)) {
            packetType += head;
            message = message.substr(1);
        }
        else {
            return [packetType, JSON.parse(message)];
        }
    }
    return [packetType, undefined];
};
exports.parseMessage = parseMessage;
const isConnectionMessage = (message) => {
    return message[0] === constants_1.packetTypes.initialize;
};
exports.isConnectionMessage = isConnectionMessage;
const isResponseMessage = (message) => {
    return message[0].length > 2 && message[0].startsWith(constants_1.packetTypes.response);
};
exports.isResponseMessage = isResponseMessage;
const getRequestId = (packetType) => packetType.slice(2);
exports.getRequestId = getRequestId;
const isResponseMessageOf = (sid) => (message) => {
    return exports.isResponseMessage(message) && sid === exports.getRequestId(message[0]);
};
exports.isResponseMessageOf = isResponseMessageOf;
//# sourceMappingURL=message.js.map