declare type InsertChange = {
    _insert: string | '_end';
    lines: {
        id: string;
        text: string;
    };
};
declare type UpdateChange = {
    _update: string;
    lines: {
        text: string;
    };
};
declare type DeleteChange = {
    _delete: string;
    lines: -1;
};
declare type TitleChange = {
    title: string;
};
declare type DescriptionChange = {
    descriptions: [string];
};
export declare type CommitChange = InsertChange | UpdateChange | DeleteChange | TitleChange | DescriptionChange;
declare type InsertChangeRequestParams = {
    type: 'insert';
    text: string;
    position?: string;
};
declare type UpdateChangeRequestParams = {
    type: 'update';
    id: string;
    text: string;
};
declare type DeleteChangeRequestParams = {
    type: 'delete';
    id: string;
};
declare type TitleChangeRequestParams = {
    type: 'title';
    title: string;
};
declare type DescriptionChangeRequestParams = {
    type: 'description';
    text: string;
};
export declare type ChangeRequestCreateParams = InsertChangeRequestParams | UpdateChangeRequestParams | DeleteChangeRequestParams | TitleChangeRequestParams | DescriptionChangeRequestParams;
export declare const createChanges: (params: ChangeRequestCreateParams[], userId: string) => ({
    _insert: string;
    lines: {
        id: string;
        text: string;
    };
    _update?: undefined;
    _delete?: undefined;
    title?: undefined;
    descriptions?: undefined;
} | {
    _update: string;
    lines: {
        text: string;
        id?: undefined;
    };
    _insert?: undefined;
    _delete?: undefined;
    title?: undefined;
    descriptions?: undefined;
} | {
    _delete: string;
    lines: number;
    _insert?: undefined;
    _update?: undefined;
    title?: undefined;
    descriptions?: undefined;
} | {
    title: string;
    _insert?: undefined;
    lines?: undefined;
    _update?: undefined;
    _delete?: undefined;
    descriptions?: undefined;
} | {
    descriptions: string[];
    _insert?: undefined;
    lines?: undefined;
    _update?: undefined;
    _delete?: undefined;
    title?: undefined;
})[];
export {};
