"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserScriptApi = void 0;
const rxjs_1 = require("rxjs");
const operators_1 = require("rxjs/operators");
const util_1 = require("./internal/util");
class UserScriptApi {
    static get data() {
        if (!util_1.isScrapboxReady()) {
            throw new Error('window.scrapbox is not set');
        }
        return window.scrapbox;
    }
    static get ready() {
        return util_1.scrapboxReady();
    }
    static get update() {
        this.pageChange = this.pageChange || util_1.nodeChange(this.pageContainerElement, { childList: true, subtree: true });
        return rxjs_1.concat(this.ready, this.pageChange).pipe(operators_1.map(() => this.data), operators_1.share());
    }
    static get pageContainerElement() {
        return util_1.findElementOrFail('#app-container .page');
    }
    static get pageTitle() {
        return this.data.Page.title || '';
    }
    static get pageLines() {
        return this.data.Page.lines || [];
    }
    static get projectName() {
        return this.data.Project.name;
    }
}
exports.UserScriptApi = UserScriptApi;
//# sourceMappingURL=scrapbox.js.map