import { DecoFormulaNode, IndentNode, Node } from './node';
declare type GeneralLine = {
    id: string;
    text: string;
    userId?: string;
    created: number;
    updated: number;
    section: {
        number: number;
        start: boolean;
        end: boolean;
    };
    nodes: Node | Node[];
};
export declare type TitleLine = GeneralLine & {
    title: true;
    nodes: undefined;
};
export declare type IndentedLine = GeneralLine & {
    nodes: IndentNode;
};
export declare type CodeBlockLine = GeneralLine & {
    codeBlock: {
        lang: string;
        filename: string;
        indent: 1 | 2 | 3 | 4 | number;
        start: boolean;
        end: boolean;
    };
};
export declare type FormulaLine = GeneralLine & {
    formulaLine: true;
    nodes: DecoFormulaNode | IndentNode;
};
export declare type Line = TitleLine | GeneralLine | IndentedLine | CodeBlockLine | FormulaLine;
export {};
