export declare type LinkNodeUnit = {
    page: string;
    content: string;
    whole: string;
};
export declare type HashTagNodeUnit = {
    page: string;
    tag: '#';
    content: string;
    whole: string;
};
export declare type DecoFormulaNodeUnit = {
    whole: string;
    content: string;
    formula: string;
};
export declare type SimpleTextNode = string;
export declare type LinkNode = {
    type: 'link';
    unit: LinkNodeUnit;
    children: LinkNodeUnit['content'];
};
export declare type HashTagNode = {
    type: 'hashTag';
    unit: HashTagNodeUnit;
    children: HashTagNodeUnit['content'];
};
export declare type DecoFormulaNode = {
    type: 'deco-formula';
    unit: DecoFormulaNodeUnit;
    children: DecoFormulaNodeUnit['content'];
};
export declare type GyazoNode = {
    type: 'gyazo';
    unit: {
        whole: string;
        content: string;
    };
    children: string;
};
export declare type IndentNode = {
    type: 'indent';
    unit: {
        whole: string;
        tag: string;
        content: string;
    };
    children: Node | Node[];
};
export declare type Node = SimpleTextNode | LinkNode | HashTagNode | DecoFormulaNode | IndentNode | GyazoNode;
